//
// This file is auto-generated by script docgen.py.
// DO NOT EDIT BY HAND!
//
[[command_fset_fset]]
* `+fset+`: définir rapidement des options WeeChat et des extensions

----
/fset  -bar
       -refresh
       -up|-down [<nombre>]
       -left|-right [<pourcentage>]
       -go <ligne>|end
       -toggle
       -add [<valeur>]
       -reset
       -unset
       -set
       -setnew
       -append
       -mark
       -format
       -export [-help|-nohelp] <fichier>
       <filtre>

       -bar : ajouter la barre d'aide
   -refresh : rafraîchir la liste des options, puis l'écran entier (commande : /window refresh)
        -up : déplacer la ligne sélectionnée de "nombre" lignes vers le haut
      -down : déplacer la ligne sélectionnée de "nombre" lignes vers le bas
      -left : faire défier le tampon fset de "pourcentage" de largeur vers la gauche
     -right : faire défier le tampon fset de "pourcentage" de largeur vers la droite
        -go : sélectionner une ligne par numéro, la première ligne est 0 ("end" pour sélectionner la dernière ligne)
    -toggle : basculer la valeur booléenne
       -add : ajouter "valeur" (qui peut être un nombre négatif) pour les entiers et couleurs, définir/ajouter à la valeur pour les autres types (définir pour une valeur négative, ajouter pour un nombre positif)
     -reset : réinitialiser la valeur de l'option
     -unset : supprimer/réinitialiser l'option
       -set : ajouter la commande /set dans l'entrée pour éditer la valeur de l'option (déplacer le curseur au début de la valeur)
    -setnew : ajouter la commande /set dans l'entrée pour éditer une nouvelle valeur pour l'option
    -append : ajouter la commande /set pour ajouter quelque chose dans la valeur de l'option (déplacer le curseur à la fin de la valeur)
      -mark : marquer/démarquer
    -format : basculer vers le prochain format disponible
    -export : exporter les options et valeurs affichées dans un fichier (chaque ligne a le format : "/set nom valeur" ou "/unset nom")
      -help : forcer l'écriture de l'aide sur les options dans le fichier exporté (voir /help fset.look.export_help_default)
    -nohelp : ne pas écrire l'aide sur les options dans le fichier exporté (voir /help fset.look.export_help_default)
     filter : définir un nouveau filtre pour voir seulement les options correspondantes (ce filtre peut aussi être utilisé en entrée du tampon fset) ; les formats autorisés sont :
               *       afficher toutes les options (pas de filtre)
               xxx     afficher seulement les options avec "xxx" dans le nom
               f:xxx   afficher seulement le fichier de configuration "xxx"
               t:xxx   afficher seulement le type "xxx" (bool/int/str/col)
               d       afficher seulement les options changées
               d:xxx   afficher seulement les options changées avec "xxx" dans le nom
               d=xxx   afficher seulement les options changées avec "xxx" dans la valeur
               d==xxx  afficher seulement les options changées avec la valeur exacte "xxx"
               =xxx    afficher seulement les options avec "xxx" dans la valeur
               ==xxx   afficher seulement les options avec la valeur exacte "xxx"
               c:xxx   afficher seulement les options qui correspondent à la condition évaluée "xxx", en utilisant les variables suivantes : file, section, option, name, parent_name, type, type_en, type_short (bool/int/str/col), type_tiny (b/i/s/c), default_value, default_value_undef, value, quoted_value, value_undef, value_changed, parent_value, min, max, description, description2, description_en, description_en2, string_values

Les lignes avec des options sont affichées en utilisant l'évaluation de chaîne (voir /help eval pour le format), avec ces options :
  - fset.format.option1 : premier format pour une option
  - fset.format.option2 : second format pour une option

Les variables suivantes peuvent être utilisées dans ces options :
  - données de l'option, avec couleur et alignées avec des espaces sur la droite :
    - ${file} : fichier de configuration (par exemple "weechat" ou "irc")
    - ${section} : section
    - ${option} : nom de l'option
    - ${name} : nom complet de l'option (fichier.section.option)
    - ${parent_name} : nom de l'option parente
    - ${type} : type de l'option (traduit)
    - ${type_en} : type de l'option (en Anglais)
    - ${type_short} : type court de l'option (bool/int/str/col)
    - ${type_tiny} : type très court de l'option (b/i/s/c)
    - ${default_value} : valeur par défaut de l'option
    - ${default_value_undef} : "1" si la valeur par défaut est null, sinon "0"
    - ${value} : valeur de l'option
    - ${value_undef} : "1" si la valer est null, sinon "0"
    - ${value_changed} : "1" si la valeur est différente de la valeur par défaut, sinon "0"
    - ${value2} : valeur de l'option, avec la valeur héritée si null
    - ${parent_value} : valeur de l'option parente
    - ${min} : valeur minimale
    - ${max} : valeur maximale
    - ${description} : description de l'option (traduite)
    - ${description2} : description de l'option (traduite), "(pas de description)" s'il n'y a pas de description
    - ${description_en} : description de l'option (en Anglais)
    - ${description_en2} : description de l'option (en Anglais), "(no description)" s'il n'y a pas de description
    - ${string_values} : valeurs chaîne autorisées pour définir une option de type entier utilisant des chaînes
    - ${marked} : "1" si l'option est marquée, sinon "0"
    - ${index} : index de l'option dans la liste
  - données de l'option, avec couleur mais sans espaces :
    - mêmes noms préfixés par un underscore, par exemple : ${_name}, ${_type}, ...
  - données de l'option, format brut (par de couleurs/espaces) :
    - mêmes noms préfixés par deux underscores, par exemple : ${__name}, ${__type}, ...
  - données de l'option, seulement des espaces :
    - mêmes noms préfixés par "empty_", par exemple : ${empty_name}, ${empty_type}
  - autres données :
    - ${selected_line} : "1" si la ligne est sélectionnée, sinon "0"
    - ${newline} : insérer une nouvelle ligne à cet endroit, pour afficher l'option sur plusieurs lignes

Touches et entrées pour le déplacement dans le tampon fset :
  haut                      se déplacer d'une ligne vers le haut
  bas                       se déplacer d'une ligne vers le bas
  pgup                      se déplacer d'une page vers le haut
  pgdn                      se déplacer d'une page vers le bas
  alt-home          <<      se déplacer à la première ligne
  alt-end           >>      se déplacer à la dernière ligne
  F11               <       faire défiler horizontalement vers la gauche
  F12               >       faire défiler horizontalement vers la droite

Touches et entrées pour définir les options sur le tampon fset :
  alt+espace        t       basculer la valeur booléenne
  alt+'-'           -       soustraire 1 de la valeur pour un entier/couleur, définir la valeur pour les autres types
  alt+'+'           +       ajouter 1 à la valeur pour un entier/couleur, ajouter à la valeur pour les autres types
  alt+f, alt+r      r       réinitialiser la valeur
  alt+f, alt+u      u       supprimer/réinitialiser la valeur
  alt+entrée        s       définir la valeur
  alt+f, alt+n      n       définie une nouvelle valeur
  alt+f, alt+a      a       ajouter à la valeur
  alt+','           ,       marquer/démarquer l'option
  shift+haut                se déplacer d'une ligne vers le haut et marquer/démarquer l'option
  shift+bas                 marquer/démarquer l'option et se déplacer d'une ligne vers le bas
                    m:xxx   marquer les options affichées qui correspondent au filtre "xxx" (tout filtre sur une option ou valeur est autorisé, voir les filtres ci-dessus)
                    u:xxx   démarquer les options affichées qui correspondent au filtre "xxx" (tout filtre sur une option ou valeur est autorisé, voir les filtres ci-dessus)

Autres touches et entrées sur le tampon fset :
  ctrl+L                    rafraîchir les options et l'écran entier (commande : /fset -refresh)
                    $       rafraîchir les options (garder les options marquées)
                    $$      rafraîchir les options (démarquer toutes les options)
  alt+p             p       activer/désactiver la description des options d'extensions (plugins.desc.*)
  alt+v             v       activer/désactiver la barre d'aide
                    s:x,y   trier les options par les champs x,y (voir /help fset.look.sort)
                    s:      réinitialiser le tri à sa valeur par défaut (voir /help fset.look.sort)
                    w:xxx   exporter les options dans le fichier "xxx"
                    w-:xxx  exporter les options dans le fichier "xxx" sans aide
                    w+:xxx  exporter les options dans le fichier "xxx" avec aide
  ctrl+X            x       basculer le format utilisé pour afficher les options
                    q       fermer le tampon fset

Actions de la souris sur le tampon fset :
  roulette haut/bas                     se déplacer vers le haut/bas
  bouton gauche                         se déplacer à cette ligne
  bouton droit                          basculer le booléen (on/off) ou éditer la valeur de l'option
  bouton droit + glisser gauche/droite  incrémenter/décrémenter la valeur pour un entier/couleur, définir/ajouter à la valeur pour les autres types
  bouton droit + glisser haut/bas       marquer/démarquer plusieurs options

Note : si l'entrée comporte un ou plusieurs espaces en tête, le texte suivant est interprété comme un filtre, sans les espaces. Par exemple " q" cherche toutes les options avec "q" dans le nom, tandis que "q" ferme le tampon fset.

Exemples :
  afficher les options IRC changées :
    /fset d:irc.*
  afficher les options avec "nicklist" dans le nom :
    /fset nicklist
  afficher les valeurs qui contiennent "red" :
    /fset =red
  afficher les valeurs qui sont exactement "red" :
    /fset ==red
  afficher toutes les options de type "entier" dans l'extension irc :
    /fset c:${file} == irc && ${type_en} == integer
----
